//  -*- Mode: Java -*-
//
// /tmp/build-stella/stella-3.1.0/native/java/edu/isi/stella/StartupXml.java

/*--------------------------- BEGIN LICENSE BLOCK ---------------------------+
|                                                                            |
| Version: MPL 1.1/GPL 2.0/LGPL 2.1                                          |
|                                                                            |
| The contents of this file are subject to the Mozilla Public License        |
| Version 1.1 (the "License"); you may not use this file except in           |
| compliance with the License. You may obtain a copy of the License at       |
| http://www.mozilla.org/MPL/                                                |
|                                                                            |
| Software distributed under the License is distributed on an "AS IS" basis, |
| WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License   |
| for the specific language governing rights and limitations under the       |
| License.                                                                   |
|                                                                            |
| The Original Code is the STELLA Programming Language.                      |
|                                                                            |
| The Initial Developer of the Original Code is                              |
| UNIVERSITY OF SOUTHERN CALIFORNIA, INFORMATION SCIENCES INSTITUTE          |
| 4676 Admiralty Way, Marina Del Rey, California 90292, U.S.A.               |
|                                                                            |
| Portions created by the Initial Developer are Copyright (C) 1996-2002      |
| the Initial Developer. All Rights Reserved.                                |
|                                                                            |
| Contributor(s):                                                            |
|                                                                            |
| Alternatively, the contents of this file may be used under the terms of    |
| either the GNU General Public License Version 2 or later (the "GPL"), or   |
| the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),   |
| in which case the provisions of the GPL or the LGPL are applicable instead |
| of those above. If you wish to allow use of your version of this file only |
| under the terms of either the GPL or the LGPL, and not to allow others to  |
| use your version of this file under the terms of the MPL, indicate your    |
| decision by deleting the provisions above and replace them with the notice |
| and other provisions required by the GPL or the LGPL. If you do not delete |
| the provisions above, a recipient may use your version of this file under  |
| the terms of any one of the MPL, the GPL or the LGPL.                      |
|                                                                            |
+---------------------------- END LICENSE BLOCK ----------------------------*/

package edu.isi.stella;

import edu.isi.stella.javalib.*;

public class StartupXml {
  static void helpStartupXml1() {
    {
      Stella.SGT_STELLA_XML_OBJECT = ((Surrogate)(Stella.internRigidSymbolWrtModule("XML-OBJECT", null, 1)));
      Stella.SYM_STELLA_SURFACE_FORM = ((Symbol)(Stella.internRigidSymbolWrtModule("SURFACE-FORM", null, 0)));
      Stella.SGT_STELLA_XML_ELEMENT = ((Surrogate)(Stella.internRigidSymbolWrtModule("XML-ELEMENT", null, 1)));
      Stella.SYM_STELLA_NAMESPACE_NAME = ((Symbol)(Stella.internRigidSymbolWrtModule("NAMESPACE-NAME", null, 0)));
      Stella.SYM_STELLA_NAMESPACE = ((Symbol)(Stella.internRigidSymbolWrtModule("NAMESPACE", null, 0)));
      Stella.SYM_STELLA_ELEMENT_DICTIONARY = ((Symbol)(Stella.internRigidSymbolWrtModule("ELEMENT-DICTIONARY", null, 0)));
      Stella.SGT_STELLA_XML_LOCAL_ATTRIBUTE = ((Surrogate)(Stella.internRigidSymbolWrtModule("XML-LOCAL-ATTRIBUTE", null, 1)));
      Stella.SYM_STELLA_PARENT_ELEMENT = ((Symbol)(Stella.internRigidSymbolWrtModule("PARENT-ELEMENT", null, 0)));
      Stella.SGT_STELLA_XML_GLOBAL_ATTRIBUTE = ((Surrogate)(Stella.internRigidSymbolWrtModule("XML-GLOBAL-ATTRIBUTE", null, 1)));
      Stella.SGT_STELLA_XML_PROCESSING_INSTRUCTION = ((Surrogate)(Stella.internRigidSymbolWrtModule("XML-PROCESSING-INSTRUCTION", null, 1)));
      Stella.SYM_STELLA_DATA = ((Symbol)(Stella.internRigidSymbolWrtModule("DATA", null, 0)));
      Stella.SGT_STELLA_XML_DECLARATION = ((Surrogate)(Stella.internRigidSymbolWrtModule("XML-DECLARATION", null, 1)));
      Stella.SGT_STELLA_XML_DOCTYPE_DECLARATION = ((Surrogate)(Stella.internRigidSymbolWrtModule("XML-DOCTYPE-DECLARATION", null, 1)));
      Stella.SGT_STELLA_XML_SPECIAL = ((Surrogate)(Stella.internRigidSymbolWrtModule("XML-SPECIAL", null, 1)));
      Stella.SGT_STELLA_XML_COMMENT = ((Surrogate)(Stella.internRigidSymbolWrtModule("XML-COMMENT", null, 1)));
      Stella.KWD_SKIP_WHITESPACE = ((Keyword)(Stella.internRigidSymbolWrtModule("SKIP-WHITESPACE", null, 2)));
      Stella.KWD_OPEN_TAG = ((Keyword)(Stella.internRigidSymbolWrtModule("OPEN-TAG", null, 2)));
      Stella.KWD_CONTENT = ((Keyword)(Stella.internRigidSymbolWrtModule("CONTENT", null, 2)));
      Stella.KWD_START_TAG_END = ((Keyword)(Stella.internRigidSymbolWrtModule("START-TAG-END", null, 2)));
      Stella.KWD_OPEN_END_TAG = ((Keyword)(Stella.internRigidSymbolWrtModule("OPEN-END-TAG", null, 2)));
      Stella.KWD_OPEN_PI_TAG = ((Keyword)(Stella.internRigidSymbolWrtModule("OPEN-PI-TAG", null, 2)));
      Stella.KWD_OPEN_DECLARATION_TAG = ((Keyword)(Stella.internRigidSymbolWrtModule("OPEN-DECLARATION-TAG", null, 2)));
      Stella.KWD_START_TAG = ((Keyword)(Stella.internRigidSymbolWrtModule("START-TAG", null, 2)));
      Stella.KWD_OPEN_EMPTY_TAG_END = ((Keyword)(Stella.internRigidSymbolWrtModule("OPEN-EMPTY-TAG-END", null, 2)));
      Stella.KWD_SKIP_TO_ATTRIBUTE_NAME = ((Keyword)(Stella.internRigidSymbolWrtModule("SKIP-TO-ATTRIBUTE-NAME", null, 2)));
      Stella.KWD_START_PI_TAG = ((Keyword)(Stella.internRigidSymbolWrtModule("START-PI-TAG", null, 2)));
      Stella.KWD_OPEN_PI_TAG_END = ((Keyword)(Stella.internRigidSymbolWrtModule("OPEN-PI-TAG-END", null, 2)));
      Stella.KWD_PI_TAG_DATA = ((Keyword)(Stella.internRigidSymbolWrtModule("PI-TAG-DATA", null, 2)));
      Stella.KWD_PI_TAG_DATA_OR_END = ((Keyword)(Stella.internRigidSymbolWrtModule("PI-TAG-DATA-OR-END", null, 2)));
      Stella.KWD_EMPTY_TAG_END = ((Keyword)(Stella.internRigidSymbolWrtModule("EMPTY-TAG-END", null, 2)));
      Stella.KWD_END_TAG_END = ((Keyword)(Stella.internRigidSymbolWrtModule("END-TAG-END", null, 2)));
      Stella.KWD_END_TAG = ((Keyword)(Stella.internRigidSymbolWrtModule("END-TAG", null, 2)));
      Stella.KWD_ATTRIBUTE_NAME = ((Keyword)(Stella.internRigidSymbolWrtModule("ATTRIBUTE-NAME", null, 2)));
      Stella.KWD_SKIP_TO_ATTRIBUTE_VALUE = ((Keyword)(Stella.internRigidSymbolWrtModule("SKIP-TO-ATTRIBUTE-VALUE", null, 2)));
      Stella.KWD_SINGLE_QUOTED_ATTRIBUTE_VALUE = ((Keyword)(Stella.internRigidSymbolWrtModule("SINGLE-QUOTED-ATTRIBUTE-VALUE", null, 2)));
      Stella.KWD_DOUBLE_QUOTED_ATTRIBUTE_VALUE = ((Keyword)(Stella.internRigidSymbolWrtModule("DOUBLE-QUOTED-ATTRIBUTE-VALUE", null, 2)));
      Stella.KWD_UNQUOTED_ATTRIBUTE_VALUE = ((Keyword)(Stella.internRigidSymbolWrtModule("UNQUOTED-ATTRIBUTE-VALUE", null, 2)));
      Stella.KWD_QUOTED_ATTRIBUTE_VALUE = ((Keyword)(Stella.internRigidSymbolWrtModule("QUOTED-ATTRIBUTE-VALUE", null, 2)));
      Stella.KWD_START_TAG_OR_COMMENT = ((Keyword)(Stella.internRigidSymbolWrtModule("START-TAG-OR-COMMENT", null, 2)));
      Stella.KWD_OPEN_SPECIAL_TAG = ((Keyword)(Stella.internRigidSymbolWrtModule("OPEN-SPECIAL-TAG", null, 2)));
      Stella.KWD_START_DECLARATION_TAG = ((Keyword)(Stella.internRigidSymbolWrtModule("START-DECLARATION-TAG", null, 2)));
      Stella.KWD_DECLARATION_TAG_DATA = ((Keyword)(Stella.internRigidSymbolWrtModule("DECLARATION-TAG-DATA", null, 2)));
      Stella.KWD_DECLARATION_TAG_MARKUP_DATA_START = ((Keyword)(Stella.internRigidSymbolWrtModule("DECLARATION-TAG-MARKUP-DATA-START", null, 2)));
      Stella.KWD_SINGLE_QUOTED_DECLARATION_TAG_DATA = ((Keyword)(Stella.internRigidSymbolWrtModule("SINGLE-QUOTED-DECLARATION-TAG-DATA", null, 2)));
      Stella.KWD_DOUBLE_QUOTED_DECLARATION_TAG_DATA = ((Keyword)(Stella.internRigidSymbolWrtModule("DOUBLE-QUOTED-DECLARATION-TAG-DATA", null, 2)));
      Stella.KWD_DECLARATION_TAG_MARKUP_DATA = ((Keyword)(Stella.internRigidSymbolWrtModule("DECLARATION-TAG-MARKUP-DATA", null, 2)));
      Stella.KWD_START_SPECIAL_TAG = ((Keyword)(Stella.internRigidSymbolWrtModule("START-SPECIAL-TAG", null, 2)));
      Stella.KWD_SPECIAL_TAG_DATA = ((Keyword)(Stella.internRigidSymbolWrtModule("SPECIAL-TAG-DATA", null, 2)));
      Stella.KWD_SPECIAL_TAG_DATA_OR_END = ((Keyword)(Stella.internRigidSymbolWrtModule("SPECIAL-TAG-DATA-OR-END", null, 2)));
      Stella.KWD_SPECIAL_TAG_DATA_OR_END2 = ((Keyword)(Stella.internRigidSymbolWrtModule("SPECIAL-TAG-DATA-OR-END2", null, 2)));
      Stella.KWD_COMMENT_BODY = ((Keyword)(Stella.internRigidSymbolWrtModule("COMMENT-BODY", null, 2)));
      Stella.KWD_END_COMMENT_OR_COMMENT = ((Keyword)(Stella.internRigidSymbolWrtModule("END-COMMENT-OR-COMMENT", null, 2)));
      Stella.KWD_END_COMMENT_OR_COMMENT2 = ((Keyword)(Stella.internRigidSymbolWrtModule("END-COMMENT-OR-COMMENT2", null, 2)));
      Stella.KWD_ATTRIBUTE_VALUE = ((Keyword)(Stella.internRigidSymbolWrtModule("ATTRIBUTE-VALUE", null, 2)));
      Stella.SGT_STELLA_XML_EXPRESSION_ITERATOR = ((Surrogate)(Stella.internRigidSymbolWrtModule("XML-EXPRESSION-ITERATOR", null, 1)));
      Stella.SYM_STELLA_REGION_TAG = ((Symbol)(Stella.internRigidSymbolWrtModule("REGION-TAG", null, 0)));
      Stella.SYM_STELLA_REGION_MATCH_FUNCTION = ((Symbol)(Stella.internRigidSymbolWrtModule("REGION-MATCH-FUNCTION", null, 0)));
      Stella.SGT_STELLA_XML_ATTRIBUTE = ((Surrogate)(Stella.internRigidSymbolWrtModule("XML-ATTRIBUTE", null, 1)));
      Stella.SYM_STELLA_XML_OBJECT = ((Symbol)(Stella.internRigidSymbolWrtModule("XML-OBJECT", null, 0)));
      Stella.SYM_STELLA_UNWRAP_STRING = ((Symbol)(Stella.internRigidSymbolWrtModule("UNWRAP-STRING", null, 0)));
    }
  }

  static void helpStartupXml2() {
    {
      { Stella_Class renamed_Class = Stella.defineClassFromStringifiedSource("XML-OBJECT", "(DEFCLASS XML-OBJECT (STANDARD-OBJECT) :PUBLIC-SLOTS ((NAME :TYPE STRING) (SURFACE-FORM :TYPE STRING)))");

        renamed_Class.classConstructorCode = edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlObject", "newXmlObject", new java.lang.Class [] {});
        renamed_Class.classSlotAccessorCode = edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlObject", "accessXmlObjectSlotValue", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.XmlObject"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Symbol"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Stella_Object"), java.lang.Boolean.TYPE});
      }
      { Stella_Class renamed_Class = Stella.defineClassFromStringifiedSource("XML-ELEMENT", "(DEFCLASS XML-ELEMENT (XML-OBJECT) :PUBLIC-SLOTS ((NAMESPACE-NAME :TYPE STRING) (NAMESPACE :TYPE STRING) (ELEMENT-DICTIONARY :TYPE (KEY-VALUE-LIST OF STRING-WRAPPER XML-ATTRIBUTE))) :PRINT-FORM (PRINT-NATIVE-STREAM STREAM \"<\" (SURFACE-FORM SELF) \">\"))");

        renamed_Class.classConstructorCode = edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlElement", "newXmlElement", new java.lang.Class [] {});
        renamed_Class.classSlotAccessorCode = edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlElement", "accessXmlElementSlotValue", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.XmlElement"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Symbol"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Stella_Object"), java.lang.Boolean.TYPE});
      }
      { Stella_Class renamed_Class = Stella.defineClassFromStringifiedSource("XML-ATTRIBUTE", "(DEFCLASS XML-ATTRIBUTE (XML-OBJECT) :ABSTRACT? TRUE :PUBLIC-SLOTS ((NAME :TYPE STRING) (SURFACE-FORM :TYPE STRING)) :PRINT-FORM (PRINT-NATIVE-STREAM STREAM \"<\" (SURFACE-FORM SELF) \">\"))");

        renamed_Class.classSlotAccessorCode = edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlAttribute", "accessXmlAttributeSlotValue", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.XmlAttribute"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Symbol"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Stella_Object"), java.lang.Boolean.TYPE});
      }
      { Stella_Class renamed_Class = Stella.defineClassFromStringifiedSource("XML-LOCAL-ATTRIBUTE", "(DEFCLASS XML-LOCAL-ATTRIBUTE (XML-ATTRIBUTE) :PUBLIC-SLOTS ((PARENT-ELEMENT :TYPE XML-ELEMENT)))");

        renamed_Class.classConstructorCode = edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlLocalAttribute", "newXmlLocalAttribute", new java.lang.Class [] {});
        renamed_Class.classSlotAccessorCode = edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlLocalAttribute", "accessXmlLocalAttributeSlotValue", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.XmlLocalAttribute"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Symbol"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Stella_Object"), java.lang.Boolean.TYPE});
      }
      { Stella_Class renamed_Class = Stella.defineClassFromStringifiedSource("XML-GLOBAL-ATTRIBUTE", "(DEFCLASS XML-GLOBAL-ATTRIBUTE (XML-ATTRIBUTE) :PUBLIC-SLOTS ((NAMESPACE-NAME :TYPE STRING) (NAMESPACE :TYPE STRING)))");

        renamed_Class.classConstructorCode = edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlGlobalAttribute", "newXmlGlobalAttribute", new java.lang.Class [] {});
        renamed_Class.classSlotAccessorCode = edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlGlobalAttribute", "accessXmlGlobalAttributeSlotValue", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.XmlGlobalAttribute"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Symbol"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Stella_Object"), java.lang.Boolean.TYPE});
      }
      { Stella_Class renamed_Class = Stella.defineClassFromStringifiedSource("XML-PROCESSING-INSTRUCTION", "(DEFCLASS XML-PROCESSING-INSTRUCTION (XML-OBJECT) :PUBLIC-SLOTS ((DATA :TYPE STRING)) :PRINT-FORM (IF (NULL? (DATA SELF)) (PRINT-NATIVE-STREAM STREAM \"<?\" (SURFACE-FORM SELF) \">\") (PRINT-NATIVE-STREAM STREAM \"<?\" (SURFACE-FORM SELF) \" \" (DATA SELF) \">\")))");

        renamed_Class.classConstructorCode = edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlProcessingInstruction", "newXmlProcessingInstruction", new java.lang.Class [] {});
        renamed_Class.classSlotAccessorCode = edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlProcessingInstruction", "accessXmlProcessingInstructionSlotValue", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.XmlProcessingInstruction"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Symbol"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Stella_Object"), java.lang.Boolean.TYPE});
      }
      { Stella_Class renamed_Class = Stella.defineClassFromStringifiedSource("XML-DECLARATION", "(DEFCLASS XML-DECLARATION (XML-OBJECT) :PUBLIC-SLOTS ((DATA :TYPE STRING)) :PRINT-FORM (IF (NULL? (DATA SELF)) (PRINT-NATIVE-STREAM STREAM \"<!\" (SURFACE-FORM SELF) \">\") (PRINT-NATIVE-STREAM STREAM \"<!\" (SURFACE-FORM SELF) \" \" (DATA SELF) \">\")))");

        renamed_Class.classConstructorCode = edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlDeclaration", "newXmlDeclaration", new java.lang.Class [] {});
        renamed_Class.classSlotAccessorCode = edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlDeclaration", "accessXmlDeclarationSlotValue", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.XmlDeclaration"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Symbol"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Stella_Object"), java.lang.Boolean.TYPE});
      }
      { Stella_Class renamed_Class = Stella.defineClassFromStringifiedSource("XML-DOCTYPE-DECLARATION", "(DEFCLASS XML-DOCTYPE-DECLARATION (XML-DECLARATION) :PRINT-FORM (IF (NULL? (DATA SELF)) (PRINT-NATIVE-STREAM STREAM \"<!\" (SURFACE-FORM SELF) \">\") (PRINT-NATIVE-STREAM STREAM \"<!\" (SURFACE-FORM SELF) \" ...>\")))");

        renamed_Class.classConstructorCode = edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlDoctypeDeclaration", "newXmlDoctypeDeclaration", new java.lang.Class [] {});
      }
      { Stella_Class renamed_Class = Stella.defineClassFromStringifiedSource("XML-SPECIAL", "(DEFCLASS XML-SPECIAL (XML-OBJECT) :PUBLIC-SLOTS ((DATA :TYPE STRING)) :PRINT-FORM (PRINT-NATIVE-STREAM STREAM \"<!\" (SURFACE-FORM SELF) \">\"))");

        renamed_Class.classConstructorCode = edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlSpecial", "newXmlSpecial", new java.lang.Class [] {});
        renamed_Class.classSlotAccessorCode = edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlSpecial", "accessXmlSpecialSlotValue", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.XmlSpecial"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Symbol"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Stella_Object"), java.lang.Boolean.TYPE});
      }
      { Stella_Class renamed_Class = Stella.defineClassFromStringifiedSource("XML-COMMENT", "(DEFCLASS XML-COMMENT (XML-OBJECT) :PRINT-FORM (IF (NULL? (SURFACE-FORM SELF)) (PRINT-NATIVE-STREAM STREAM \"<!-- -->\") (PRINT-NATIVE-STREAM STREAM \"<!-- \" (LENGTH (SURFACE-FORM SELF)) \" chars -->\")))");

        renamed_Class.classConstructorCode = edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlComment", "newXmlComment", new java.lang.Class [] {});
      }
      { Stella_Class renamed_Class = Stella.defineClassFromStringifiedSource("XML-EXPRESSION-ITERATOR", "(DEFCLASS XML-EXPRESSION-ITERATOR (STREAM-ITERATOR) :DOCUMENTATION \"Iterator that yields XML expressions from an input stream.\nIf the value of `region-tag' is non-`null', only XML expressions enclosed within\nmatching region tags will be returned (there can be multiple such regions).\nWhat is a match is determined by `region-match-function'.  Usually, region tags\nwill/should be at the top level, but this is not necessarily so and also not\nenforced by the iterator.\" :PARAMETERS ((ANY-VALUE :TYPE OBJECT)) :PUBLIC? TRUE :SLOTS ((REGION-TAG :TYPE CONS) (REGION-MATCH-FUNCTION :TYPE FUNCTION-CODE :INITIALLY (THE-CODE :FUNCTION XML-REGION-MATCHES?))))");

        renamed_Class.classConstructorCode = edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlExpressionIterator", "newXmlExpressionIterator", new java.lang.Class [] {});
        renamed_Class.classSlotAccessorCode = edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlExpressionIterator", "accessXmlExpressionIteratorSlotValue", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.XmlExpressionIterator"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Symbol"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Stella_Object"), java.lang.Boolean.TYPE});
      }
    }
  }

  public static void startupXml() {
    { Object old$Module$000 = Stella.$MODULE$.get();
      Object old$Context$000 = Stella.$CONTEXT$.get();

      try {
        edu.isi.stella.javalib.Native.setSpecial(Stella.$MODULE$, Stella.$STELLA_MODULE$);
        edu.isi.stella.javalib.Native.setSpecial(Stella.$CONTEXT$, ((Module)(Stella.$MODULE$.get())));
        if (Stella.currentStartupTimePhaseP(2)) {
          StartupXml.helpStartupXml1();
          Stella.SYM_STELLA_XML_ELEMENT_MATCHp = ((Symbol)(Stella.internRigidSymbolWrtModule("XML-ELEMENT-MATCH?", null, 0)));
          Stella.SYM_STELLA_XML_ELEMENT = ((Symbol)(Stella.internRigidSymbolWrtModule("XML-ELEMENT", null, 0)));
          Stella.SYM_STELLA_STARTUP_XML = ((Symbol)(Stella.internRigidSymbolWrtModule("STARTUP-XML", null, 0)));
        }
        if (Stella.currentStartupTimePhaseP(4)) {
          Stella.$XML_ELEMENT_NULL_NAMESPACE_TABLE$ = StringHashTable.newStringHashTable();
          Stella.$XML_ELEMENT_HASH_TABLE$ = StringHashTable.newStringHashTable();
          Stella.$XML_GLOBAL_ATTRIBUTE_HASH_TABLE$ = StringHashTable.newStringHashTable();
          Stella.$XML_TOKENIZER_TABLE_DEFINITION$ = Stella.list$(Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_START, Stella_Object.cons(Stella.KWD_INCLUDE, Stella_Object.cons(Stella.KWD_SKIP_WHITESPACE, Stella_Object.cons(Stella.NIL, Stella.NIL))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_SKIP_WHITESPACE, Stella_Object.cons(Stella.SYM_STELLA_x, Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.wrapCharacter(' '), Stella_Object.cons(Stella.wrapCharacter('\t'), Stella_Object.cons(Stella.wrapCharacter('\n'), Stella_Object.cons(Stella.wrapCharacter('\r'), Stella_Object.cons(Stella.NIL, Stella.NIL)))))), Stella_Object.cons(Stella.KWD_SKIP_WHITESPACE, Stella_Object.cons(Stella.SYM_STELLA_x, Stella_Object.cons(Stella.wrapString("<"), Stella_Object.cons(Stella.KWD_OPEN_TAG, Stella_Object.cons(Stella.KWD_EOF, Stella_Object.cons(Stella.KWD_EOF, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_CONTENT, Stella_Object.cons(Stella.NIL, Stella.NIL)))))))))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_CONTENT, Stella_Object.cons(Stella.SYM_STELLA_x, Stella_Object.cons(Stella.wrapString("<"), Stella_Object.cons(Stella.KWD_OPEN_TAG, Stella_Object.cons(Stella.KWD_EOF, Stella_Object.cons(Stella.KWD_EOF, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_CONTENT, Stella_Object.cons(Stella.NIL, Stella.NIL)))))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_OPEN_TAG, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.wrapString(">"), Stella_Object.cons(Stella.KWD_START_TAG_END, Stella_Object.cons(Stella.SYM_STELLA_x, Stella_Object.cons(Stella.wrapString("/"), Stella_Object.cons(Stella.KWD_OPEN_END_TAG, Stella_Object.cons(Stella.wrapString("?"), Stella_Object.cons(Stella.KWD_OPEN_PI_TAG, Stella_Object.cons(Stella.wrapString("!"), Stella_Object.cons(Stella.KWD_OPEN_DECLARATION_TAG, Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.wrapCharacter(' '), Stella_Object.cons(Stella.wrapCharacter('\t'), Stella_Object.cons(Stella.wrapCharacter('\n'), Stella_Object.cons(Stella.wrapCharacter('\r'), Stella_Object.cons(Stella.NIL, Stella.NIL)))))), Stella_Object.cons(Stella.KWD_OPEN_TAG, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_START_TAG, Stella_Object.cons(Stella.NIL, Stella.NIL)))))))))))))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_START_TAG, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.wrapString(">"), Stella_Object.cons(Stella.KWD_START_TAG_END, Stella_Object.cons(Stella.SYM_STELLA_x, Stella_Object.cons(Stella.wrapString("/"), Stella_Object.cons(Stella.KWD_OPEN_EMPTY_TAG_END, Stella_Object.cons(Stella.SYM_STELLA_x, Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.wrapCharacter(' '), Stella_Object.cons(Stella.wrapCharacter('\t'), Stella_Object.cons(Stella.wrapCharacter('\n'), Stella_Object.cons(Stella.wrapCharacter('\r'), Stella_Object.cons(Stella.NIL, Stella.NIL)))))), Stella_Object.cons(Stella.KWD_SKIP_TO_ATTRIBUTE_NAME, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_START_TAG, Stella_Object.cons(Stella.NIL, Stella.NIL)))))))))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_OPEN_PI_TAG, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.KWD_ANY, Stella_Object.cons(Stella.KWD_START_PI_TAG, Stella_Object.cons(Stella.NIL, Stella.NIL)))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_START_PI_TAG, Stella_Object.cons(Stella.SYM_STELLA_x, Stella_Object.cons(Stella.wrapString("?"), Stella_Object.cons(Stella.KWD_OPEN_PI_TAG_END, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.wrapCharacter(' '), Stella_Object.cons(Stella.wrapCharacter('\t'), Stella_Object.cons(Stella.wrapCharacter('\n'), Stella_Object.cons(Stella.wrapCharacter('\r'), Stella_Object.cons(Stella.NIL, Stella.NIL)))))), Stella_Object.cons(Stella.KWD_PI_TAG_DATA, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_START_PI_TAG, Stella_Object.cons(Stella.NIL, Stella.NIL))))))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_PI_TAG_DATA, Stella_Object.cons(Stella.wrapString("?"), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_PI_TAG_DATA_OR_END, Stella_Object.cons(Stella.KWD_PI_TAG_DATA, Stella_Object.cons(Stella.NIL, Stella.NIL)))), Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_PI_TAG_DATA, Stella_Object.cons(Stella.NIL, Stella.NIL))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_PI_TAG_DATA_OR_END, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.wrapString(">"), Stella_Object.cons(Stella.KWD_EMPTY_TAG_END, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_PI_TAG_DATA, Stella_Object.cons(Stella.NIL, Stella.NIL)))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_OPEN_PI_TAG_END, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.wrapString(">"), Stella_Object.cons(Stella.KWD_EMPTY_TAG_END, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_ERROR, Stella_Object.cons(Stella.NIL, Stella.NIL)))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_OPEN_END_TAG, Stella_Object.cons(Stella.SYM_STELLA_x, Stella_Object.cons(Stella.wrapString(">"), Stella_Object.cons(Stella.KWD_END_TAG_END, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_END_TAG, Stella_Object.cons(Stella.NIL, Stella.NIL))))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_END_TAG, Stella_Object.cons(Stella.SYM_STELLA_x, Stella_Object.cons(Stella.wrapString(">"), Stella_Object.cons(Stella.KWD_END_TAG_END, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_END_TAG, Stella_Object.cons(Stella.NIL, Stella.NIL)))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_SKIP_TO_ATTRIBUTE_NAME, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.wrapString(">"), Stella_Object.cons(Stella.KWD_START_TAG_END, Stella_Object.cons(Stella.SYM_STELLA_x, Stella_Object.cons(Stella.wrapString("/"), Stella_Object.cons(Stella.KWD_OPEN_EMPTY_TAG_END, Stella_Object.cons(Stella.SYM_STELLA_x, Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.wrapCharacter(' '), Stella_Object.cons(Stella.wrapCharacter('\t'), Stella_Object.cons(Stella.wrapCharacter('\n'), Stella_Object.cons(Stella.wrapCharacter('\r'), Stella_Object.cons(Stella.NIL, Stella.NIL)))))), Stella_Object.cons(Stella.KWD_SKIP_TO_ATTRIBUTE_NAME, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_ATTRIBUTE_NAME, Stella_Object.cons(Stella.NIL, Stella.NIL))))))))))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_ATTRIBUTE_NAME, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.wrapString(">"), Stella_Object.cons(Stella.KWD_START_TAG_END, Stella_Object.cons(Stella.SYM_STELLA_x, Stella_Object.cons(Stella.wrapString("/"), Stella_Object.cons(Stella.KWD_OPEN_EMPTY_TAG_END, Stella_Object.cons(Stella.SYM_STELLA_x, Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.wrapCharacter('='), Stella_Object.cons(Stella.wrapCharacter(' '), Stella_Object.cons(Stella.wrapCharacter('\t'), Stella_Object.cons(Stella.wrapCharacter('\n'), Stella_Object.cons(Stella.wrapCharacter('\r'), Stella_Object.cons(Stella.NIL, Stella.NIL))))))), Stella_Object.cons(Stella.KWD_SKIP_TO_ATTRIBUTE_VALUE, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_ATTRIBUTE_NAME, Stella_Object.cons(Stella.NIL, Stella.NIL)))))))))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_SKIP_TO_ATTRIBUTE_VALUE, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.wrapString(">"), Stella_Object.cons(Stella.KWD_START_TAG_END, Stella_Object.cons(Stella.SYM_STELLA_x, Stella_Object.cons(Stella.wrapString("/"), Stella_Object.cons(Stella.KWD_OPEN_EMPTY_TAG_END, Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.wrapCharacter('='), Stella_Object.cons(Stella.wrapCharacter(' '), Stella_Object.cons(Stella.wrapCharacter('\t'), Stella_Object.cons(Stella.wrapCharacter('\n'), Stella_Object.cons(Stella.wrapCharacter('\r'), Stella_Object.cons(Stella.NIL, Stella.NIL))))))), Stella_Object.cons(Stella.KWD_SKIP_TO_ATTRIBUTE_VALUE, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.wrapString("'"), Stella_Object.cons(Stella.KWD_SINGLE_QUOTED_ATTRIBUTE_VALUE, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.wrapString("\""), Stella_Object.cons(Stella.KWD_DOUBLE_QUOTED_ATTRIBUTE_VALUE, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_UNQUOTED_ATTRIBUTE_VALUE, Stella_Object.cons(Stella.NIL, Stella.NIL)))))))))))))))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_SINGLE_QUOTED_ATTRIBUTE_VALUE, Stella_Object.cons(Stella.wrapString("'"), Stella_Object.cons(Stella.KWD_QUOTED_ATTRIBUTE_VALUE, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_SINGLE_QUOTED_ATTRIBUTE_VALUE, Stella_Object.cons(Stella.NIL, Stella.NIL))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_DOUBLE_QUOTED_ATTRIBUTE_VALUE, Stella_Object.cons(Stella.wrapString("\""), Stella_Object.cons(Stella.KWD_QUOTED_ATTRIBUTE_VALUE, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_DOUBLE_QUOTED_ATTRIBUTE_VALUE, Stella_Object.cons(Stella.NIL, Stella.NIL))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_QUOTED_ATTRIBUTE_VALUE, Stella_Object.cons(Stella.KWD_INCLUDE, Stella_Object.cons(Stella.KWD_SKIP_TO_ATTRIBUTE_NAME, Stella_Object.cons(Stella.NIL, Stella.NIL))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_UNQUOTED_ATTRIBUTE_VALUE, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.wrapString(">"), Stella_Object.cons(Stella.KWD_START_TAG_END, Stella_Object.cons(Stella.SYM_STELLA_x, Stella_Object.cons(Stella.wrapString("/"), Stella_Object.cons(Stella.KWD_OPEN_EMPTY_TAG_END, Stella_Object.cons(Stella.SYM_STELLA_x, Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.wrapCharacter(' '), Stella_Object.cons(Stella.wrapCharacter('\t'), Stella_Object.cons(Stella.wrapCharacter('\n'), Stella_Object.cons(Stella.wrapCharacter('\r'), Stella_Object.cons(Stella.NIL, Stella.NIL)))))), Stella_Object.cons(Stella.KWD_SKIP_TO_ATTRIBUTE_NAME, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_UNQUOTED_ATTRIBUTE_VALUE, Stella_Object.cons(Stella.NIL, Stella.NIL)))))))))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_OPEN_DECLARATION_TAG, Stella_Object.cons(Stella.wrapString("-"), Stella_Object.cons(Stella.KWD_START_TAG_OR_COMMENT, Stella_Object.cons(Stella.wrapString("["), Stella_Object.cons(Stella.KWD_OPEN_SPECIAL_TAG, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_START_DECLARATION_TAG, Stella_Object.cons(Stella.NIL, Stella.NIL)))))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_START_DECLARATION_TAG, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.wrapString(">"), Stella_Object.cons(Stella.KWD_EMPTY_TAG_END, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.wrapCharacter(' '), Stella_Object.cons(Stella.wrapCharacter('\t'), Stella_Object.cons(Stella.wrapCharacter('\n'), Stella_Object.cons(Stella.wrapCharacter('\r'), Stella_Object.cons(Stella.NIL, Stella.NIL)))))), Stella_Object.cons(Stella.KWD_DECLARATION_TAG_DATA, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_START_DECLARATION_TAG, Stella_Object.cons(Stella.NIL, Stella.NIL))))))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_DECLARATION_TAG_DATA, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.wrapString(">"), Stella_Object.cons(Stella.KWD_EMPTY_TAG_END, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.wrapString("["), Stella_Object.cons(Stella.KWD_DECLARATION_TAG_MARKUP_DATA_START, Stella_Object.cons(Stella.wrapString("'"), Stella_Object.cons(Stella.KWD_SINGLE_QUOTED_DECLARATION_TAG_DATA, Stella_Object.cons(Stella.wrapString("\""), Stella_Object.cons(Stella.KWD_DOUBLE_QUOTED_DECLARATION_TAG_DATA, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_DECLARATION_TAG_DATA, Stella_Object.cons(Stella.NIL, Stella.NIL))))))))))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_SINGLE_QUOTED_DECLARATION_TAG_DATA, Stella_Object.cons(Stella.wrapString("'"), Stella_Object.cons(Stella.KWD_DECLARATION_TAG_DATA, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_SINGLE_QUOTED_DECLARATION_TAG_DATA, Stella_Object.cons(Stella.NIL, Stella.NIL))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_DOUBLE_QUOTED_DECLARATION_TAG_DATA, Stella_Object.cons(Stella.wrapString("\""), Stella_Object.cons(Stella.KWD_DECLARATION_TAG_DATA, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_DOUBLE_QUOTED_DECLARATION_TAG_DATA, Stella_Object.cons(Stella.NIL, Stella.NIL))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_DECLARATION_TAG_MARKUP_DATA_START, Stella_Object.cons(Stella.wrapString("]"), Stella_Object.cons(Stella.KWD_DECLARATION_TAG_MARKUP_DATA, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_DECLARATION_TAG_MARKUP_DATA_START, Stella_Object.cons(Stella.NIL, Stella.NIL))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_DECLARATION_TAG_MARKUP_DATA, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.wrapString(">"), Stella_Object.cons(Stella.KWD_EMPTY_TAG_END, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_ERROR, Stella_Object.cons(Stella.NIL, Stella.NIL)))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_OPEN_SPECIAL_TAG, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.KWD_ANY, Stella_Object.cons(Stella.KWD_START_SPECIAL_TAG, Stella_Object.cons(Stella.NIL, Stella.NIL)))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_START_SPECIAL_TAG, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.wrapString("["), Stella_Object.cons(Stella.KWD_SPECIAL_TAG_DATA, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_START_SPECIAL_TAG, Stella_Object.cons(Stella.NIL, Stella.NIL)))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_SPECIAL_TAG_DATA, Stella_Object.cons(Stella.wrapString("]"), Stella_Object.cons(Stella.KWD_SPECIAL_TAG_DATA_OR_END, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_SPECIAL_TAG_DATA, Stella_Object.cons(Stella.NIL, Stella.NIL))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_SPECIAL_TAG_DATA_OR_END, Stella_Object.cons(Stella.wrapString("]"), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_SPECIAL_TAG_DATA_OR_END2, Stella_Object.cons(Stella.KWD_SPECIAL_TAG_DATA, Stella_Object.cons(Stella.NIL, Stella.NIL)))), Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_SPECIAL_TAG_DATA, Stella_Object.cons(Stella.NIL, Stella.NIL))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_SPECIAL_TAG_DATA_OR_END2, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.wrapString(">"), Stella_Object.cons(Stella.KWD_EMPTY_TAG_END, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_SPECIAL_TAG_DATA, Stella_Object.cons(Stella.NIL, Stella.NIL)))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_START_TAG_OR_COMMENT, Stella_Object.cons(Stella.wrapString("-"), Stella_Object.cons(Stella.KWD_COMMENT_BODY, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_START_TAG, Stella_Object.cons(Stella.NIL, Stella.NIL)))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_COMMENT_BODY, Stella_Object.cons(Stella.wrapString("-"), Stella_Object.cons(Stella.KWD_END_COMMENT_OR_COMMENT, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_COMMENT_BODY, Stella_Object.cons(Stella.NIL, Stella.NIL))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_END_COMMENT_OR_COMMENT, Stella_Object.cons(Stella.wrapString("-"), Stella_Object.cons(Stella.KWD_END_COMMENT_OR_COMMENT2, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_COMMENT_BODY, Stella_Object.cons(Stella.NIL, Stella.NIL))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_END_COMMENT_OR_COMMENT2, Stella_Object.cons(Stella.wrapString(">"), Stella_Object.cons(Stella.KWD_COMMENT, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_ERROR, Stella_Object.cons(Stella.NIL, Stella.NIL))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_COMMENT, Stella_Object.cons(Stella.KWD_INCLUDE, Stella_Object.cons(Stella.KWD_START, Stella_Object.cons(Stella.NIL, Stella.NIL))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_START_TAG_END, Stella_Object.cons(Stella.KWD_INCLUDE, Stella_Object.cons(Stella.KWD_START, Stella_Object.cons(Stella.NIL, Stella.NIL))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_END_TAG_END, Stella_Object.cons(Stella.KWD_INCLUDE, Stella_Object.cons(Stella.KWD_START, Stella_Object.cons(Stella.NIL, Stella.NIL))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_OPEN_EMPTY_TAG_END, Stella_Object.cons(Stella.SYM_STELLA_$, Stella_Object.cons(Stella.wrapString(">"), Stella_Object.cons(Stella.KWD_EMPTY_TAG_END, Stella_Object.cons(Stella.KWD_OTHERWISE, Stella_Object.cons(Stella.KWD_ERROR, Stella_Object.cons(Stella.NIL, Stella.NIL)))))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_EMPTY_TAG_END, Stella_Object.cons(Stella.KWD_INCLUDE, Stella_Object.cons(Stella.KWD_START, Stella_Object.cons(Stella.NIL, Stella.NIL))))), Stella_Object.cons(Stella.list$(Stella_Object.cons(Stella.KWD_ERROR, Stella_Object.cons(Stella.KWD_INCLUDE, Stella_Object.cons(Stella.KWD_START, Stella_Object.cons(Stella.NIL, Stella.NIL))))), Stella_Object.cons(Stella.NIL, Stella.NIL)))))))))))))))))))))))))))))))))))))))))));
        }
        if (Stella.currentStartupTimePhaseP(5)) {
          StartupXml.helpStartupXml2();
        }
        if (Stella.currentStartupTimePhaseP(6)) {
          Stella.finalizeClasses();
        }
        if (Stella.currentStartupTimePhaseP(7)) {
          Stella.defineFunctionObject("RESET-XML-HASH-TABLES", "(DEFUN RESET-XML-HASH-TABLES () :PUBLIC? TRUE :DOCUMENTATION \"Resets Hashtables used for interning XML elements and global\nattribute objects.  This will allow garbage collection of no-longer used\nobjects, but will also mean that newly parsed xml elements and global attributes\nwill not be eq? to already existing ones with the same name.\")", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Stella", "resetXmlHashTables", new java.lang.Class [] {}), null);
          Stella.defineFunctionObject("MAKE-NAMESPACE-TABLE", "(DEFUN (MAKE-NAMESPACE-TABLE (KV-CONS OF STRING-WRAPPER STRING-WRAPPER)) ())", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Stella", "makeNamespaceTable", new java.lang.Class [] {}), null);
          Stella.defineFunctionObject("MAKE-XMLNS-ATTRIBUTE", "(DEFUN (MAKE-XMLNS-ATTRIBUTE XML-ATTRIBUTE) ((NAME STRING)))", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Stella", "makeXmlnsAttribute", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("java.lang.String")}), null);
          Stella.defineFunctionObject("MAKE-XML-ELEMENT-INTERNAL", "(DEFUN (MAKE-XML-ELEMENT-INTERNAL XML-ELEMENT) ((NAME STRING) (NAMESPACE STRING) (NAMESPACE-NAME STRING) (SURFACE-FORM STRING)))", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Stella", "makeXmlElementInternal", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String")}), null);
          Stella.defineFunctionObject("MAKE-XML-ELEMENT", "(DEFUN (MAKE-XML-ELEMENT XML-ELEMENT) ((NAME STRING) (NAMESPACE-NAME STRING) (NAMESPACE STRING)) :PUBLIC? TRUE :DOCUMENTATION \"Creates and interns an XML element object `name' using `namespace-name'\nto refer to  `namespace'.  If `namespace' is `null', then the element will\nbe interned in the null namespace.   `namespace' must otherwise be a URI.\")", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Stella", "makeXmlElement", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String")}), null);
          Stella.defineFunctionObject("MAKE-XML-ELEMENT-RESPECTING-NAMESPACE", "(DEFUN (MAKE-XML-ELEMENT-RESPECTING-NAMESPACE XML-ELEMENT) ((NAME STRING) (NAMESPACE-TABLE (KV-CONS OF STRING-WRAPPER STRING-WRAPPER))))", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Stella", "makeXmlElementRespectingNamespace", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.KvCons")}), null);
          Stella.defineFunctionObject("MAKE-XML-GLOBAL-ATTRIBUTE-INTERNAL", "(DEFUN (MAKE-XML-GLOBAL-ATTRIBUTE-INTERNAL XML-GLOBAL-ATTRIBUTE) ((NAME STRING) (NAMESPACE-NAME STRING) (NAMESPACE-URI STRING) (SURFACE-FORM STRING)))", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Stella", "makeXmlGlobalAttributeInternal", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String")}), null);
          Stella.defineFunctionObject("MAKE-XML-GLOBAL-ATTRIBUTE", "(DEFUN (MAKE-XML-GLOBAL-ATTRIBUTE XML-GLOBAL-ATTRIBUTE) ((NAME STRING) (NAMESPACE-NAME STRING) (NAMESPACE STRING)) :PUBLIC? TRUE :DOCUMENTATION \"Creates and interns an XML global attribute object with `name' using \n`namespace-name' to refer to  `namespace'.  `namespace'must be a URI.\")", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Stella", "makeXmlGlobalAttribute", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String")}), null);
          Stella.defineFunctionObject("MAKE-XML-GLOBAL-ATTRIBUTE-RESPECTING-NAMESPACE", "(DEFUN (MAKE-XML-GLOBAL-ATTRIBUTE-RESPECTING-NAMESPACE XML-GLOBAL-ATTRIBUTE) ((NAME STRING) (NAMESPACE-NAME STRING) (SURFACE-FORM STRING) (NAMESPACE-TABLE (KV-CONS OF STRING-WRAPPER STRING-WRAPPER))))", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Stella", "makeXmlGlobalAttributeRespectingNamespace", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.KvCons")}), null);
          Stella.defineFunctionObject("MAKE-XML-LOCAL-ATTRIBUTE", "(DEFUN (MAKE-XML-LOCAL-ATTRIBUTE XML-LOCAL-ATTRIBUTE) ((NAME STRING) (ELEMENT XML-ELEMENT)) :PUBLIC? TRUE :DOCUMENTATION \"Make an XML-LOCAL-ATTRIBUTE named `name' associated with `element'\")", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Stella", "makeXmlLocalAttribute", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.XmlElement")}), null);
          Stella.defineFunctionObject("MAKE-XML-ATTRIBUTE-RESPECTING-NAMESPACE", "(DEFUN (MAKE-XML-ATTRIBUTE-RESPECTING-NAMESPACE XML-ATTRIBUTE) ((NAME STRING) (ELEMENT XML-ELEMENT) (NAMESPACE-TABLE (KV-CONS OF STRING-WRAPPER STRING-WRAPPER))))", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Stella", "makeXmlAttributeRespectingNamespace", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.XmlElement"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.KvCons")}), null);
          Stella.defineFunctionObject("XMLNS-ATTRIBUTE?", "(DEFUN (XMLNS-ATTRIBUTE? BOOLEAN) ((NAME STRING)))", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Stella", "xmlnsAttributeP", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("java.lang.String")}), null);
          Stella.defineFunctionObject("EXTRACT-XMLNS-NAME", "(DEFUN (EXTRACT-XMLNS-NAME STRING) ((KEYNAME STRING)))", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Stella", "extractXmlnsName", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("java.lang.String")}), null);
          Stella.defineFunctionObject("TOKENIZE-XML-EXPRESSION", "(DEFUN (TOKENIZE-XML-EXPRESSION TOKENIZER-TOKEN BOOLEAN) ((STREAM INPUT-STREAM) (TOKENLIST TOKENIZER-TOKEN) (REGIONTAGNAME STRING) (SKIPTOREGION? BOOLEAN)))", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.InputStream", "tokenizeXmlExpression", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.InputStream"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.TokenizerToken"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), java.lang.Boolean.TYPE, edu.isi.stella.javalib.Native.find_java_class("[Ljava.lang.Object;")}), null);
          Stella.defineFunctionObject("PROCESS-ATTRIBUTE-LIST", "(DEFUN (PROCESS-ATTRIBUTE-LIST CONS) ((REVERSEATTRIBUTELIST CONS) (ELEMENT XML-ELEMENT) (NAMESPACE-TABLE (KV-CONS OF STRING-WRAPPER STRING-WRAPPER))))", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Cons", "processAttributeList", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Cons"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.XmlElement"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.KvCons")}), null);
          Stella.defineFunctionObject("XML-TOKEN-LIST-TO-S-EXPRESSION", "(DEFUN (XML-TOKEN-LIST-TO-S-EXPRESSION OBJECT) ((TOKENLIST STELLA-TOKEN)) :DOCUMENTATION \"Convert the XML `tokenList' into a representative s-expression\nand return the result.  Every XML tag is represented as a cons-list starting\nwith the tag name as its header, followed by a possibly empty list of keyword\nvalue pairs representing tag attributes, followed by a possibly empty list of\ncontent expressions which might themselves be XML expressions.  For example,\nthe expression\n\n    <a a1=v1 a2='v2'> foo <b a3=v3/> bar </a>\n\nbecomes\n\n    (a (:a1 \\\"v1\\\" :a2 \\\"v2\\\") \\\"foo\\\" (b (:a3 \\\"v3\\\")) \\\"bar\\\")\n\nwhen represented as an s-expression.  The tag names `?', `!' and `[' are special\nand mark processing instruction tags (`?'), delcaration tags (`!') and\nCDATA and conditional tags (`[').  For these tags the second element in the\nlist is the actual tag name, and the third element is the unparsed data string\nfollowing the name (including whitespace).\" :PUBLIC? TRUE)", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.StellaToken", "xmlTokenListToSExpression", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.StellaToken")}), null);
          Stella.defineFunctionObject("READ-XML-EXPRESSION", "(DEFUN (READ-XML-EXPRESSION OBJECT BOOLEAN) ((STREAM INPUT-STREAM) (STARTTAGNAME STRING)) :DOCUMENTATION \"Read one balanced XML expression from `stream' and return\nits s-expression representation (see `xml-token-list-to-s-expression').  If\n`startTagName' is non-`null', skip all tags until a start tag `startTagName'\nis encountered.  XML namespaces are ignored for outside of the start tag.\nReturn `true' as the second value on EOF.\n\nCHANGE WARNING:  It is anticipated that this function will change to\n a) Properly take XML namespaces into account and\n b) require XML element objects instead of strings as the second argument.\nThis change will not be backwards-compatible.\" :PUBLIC? TRUE)", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.InputStream", "readXmlExpression", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.InputStream"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("[Ljava.lang.Object;")}), null);
          Stella.defineMethodObject("(DEFMETHOD (NEXT? BOOLEAN) ((SELF XML-EXPRESSION-ITERATOR)) :PUBLIC? TRUE)", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlExpressionIterator", "nextP", new java.lang.Class [] {}), ((java.lang.reflect.Method)(null)));
          Stella.defineFunctionObject("XML-REGION-MATCHES?", "(DEFUN (XML-REGION-MATCHES? BOOLEAN) ((REGIONSPEC CONS) (REGIONTAG CONS)))", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Cons", "xmlRegionMatchesP", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Cons"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Cons")}), null);
          Stella.defineFunctionObject("COERCE-TO-XML-ELEMENT", "(DEFUN (COERCE-TO-XML-ELEMENT XML-ELEMENT) ((REGIONTAG OBJECT)))", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Stella_Object", "coerceToXmlElement", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Stella_Object")}), null);
          Stella.defineFunctionObject("XML-EXPRESSIONS", "(DEFUN (XML-EXPRESSIONS XML-EXPRESSION-ITERATOR) ((STREAM INPUT-STREAM) (REGIONTAG OBJECT)) :DOCUMENTATION \"Return an XML-expression-iterator (which see) reading from\n`stream'.  `regionTag' can be used to define delimited regions from which\nexpressions should be considered (use s-expression representation to specify\n`regionTag', e.g., '(KIF (:version \\\"1.0\\\"))'.  The tag can be an XML element\nobject, a symbol, a string or a cons.  If the tag is a cons the first element\ncan also be (name namespace) pair.\" :PUBLIC? TRUE)", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.InputStream", "xmlExpressions", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.InputStream"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Stella_Object")}), null);
          Stella.defineFunctionObject("XML-CDATA?", "(DEFUN (XML-CDATA? BOOLEAN) ((ITEM OBJECT)) :PUBLIC? TRUE :DOCUMENTATION \"Return `true' if `item' is an XML CDATA tag object\")", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Stella_Object", "xmlCdataP", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Stella_Object")}), null);
          Stella.defineFunctionObject("XML-ELEMENT?", "(DEFUN (XML-ELEMENT? BOOLEAN) ((ITEM OBJECT)) :PUBLIC? TRUE :DOCUMENTATION \"Return `true' if `item' is an XML element object\")", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Stella_Object", "xmlElementP", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Stella_Object")}), null);
          Stella.defineFunctionObject("XML-ATTRIBUTE?", "(DEFUN (XML-ATTRIBUTE? BOOLEAN) ((ITEM OBJECT)) :PUBLIC? TRUE :DOCUMENTATION \"Return `true' if `item' is an XML attribute object\")", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Stella_Object", "xmlAttributeP", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Stella_Object")}), null);
          Stella.defineFunctionObject("XML-DECLARATION?", "(DEFUN (XML-DECLARATION? BOOLEAN) ((ITEM OBJECT)) :PUBLIC? TRUE :DOCUMENTATION \"Return `true' if `item' is an XML declaration object\")", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Stella_Object", "xmlDeclarationP", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Stella_Object")}), null);
          Stella.defineFunctionObject("XML-CDATA-FORM?", "(DEFUN (XML-CDATA-FORM? BOOLEAN) ((FORM OBJECT)) :PUBLIC? TRUE :DOCUMENTATION \"Return `true' if `form' is an CONS headed by a CDATA tag\")", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Stella_Object", "xmlCdataFormP", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Stella_Object")}), null);
          Stella.defineFunctionObject("GET-XML-TAG", "(DEFUN GET-XML-TAG ((FORM CONS)) :TYPE OBJECT :MACRO? TRUE :PUBLIC? TRUE :DOCUMENTATION \"Returns the XML tag object from the XML expression `form'\")", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Cons", "getXmlTag", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Cons")}), null);
          Stella.defineFunctionObject("GET-XML-ATTRIBUTES", "(DEFUN GET-XML-ATTRIBUTES ((FORM CONS)) :TYPE OBJECT :MACRO? TRUE :PUBLIC? TRUE :DOCUMENTATION \"Returns a CONS consisting of the attributes for the XML expression `form'.\nMay be `nil'.\")", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Cons", "getXmlAttributes", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Cons")}), null);
          Stella.defineFunctionObject("GET-XML-CONTENT", "(DEFUN GET-XML-CONTENT ((FORM CONS)) :TYPE OBJECT :MACRO? TRUE)", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Cons", "getXmlContent", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Cons")}), null);
          Stella.defineFunctionObject("GET-XML-CDATA-CONTENT", "(DEFUN GET-XML-CDATA-CONTENT ((FORM CONS)) :TYPE OBJECT :MACRO? TRUE)", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Cons", "getXmlCdataContent", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Cons")}), null);
          Stella.defineMethodObject("(DEFMETHOD (XML-ELEMENT-MATCH? BOOLEAN) ((TAG XML-ELEMENT) (NAME STRING) (NAMESPACE STRING)) :PUBLIC? TRUE :DOCUMENTATION \"Returns `true' if `tag' is an XML element with the name `name'\nin namespace `namespace'.  Note that `namespace' is the full URI, not an abbreviation.\nAlso, `namespace' may be `null', in which case `tag' must not have a namespace\nassociated with it.\")", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlElement", "xmlElementMatchP", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String")}), ((java.lang.reflect.Method)(null)));
          Stella.defineMethodObject("(DEFMETHOD (XML-ATTRIBUTE-MATCH? BOOLEAN) ((ATTRIBUTE XML-GLOBAL-ATTRIBUTE) (NAME STRING) (NAMESPACE STRING) (ELEMENT-NAME STRING) (ELEMENT-NAMESPACE STRING)) :PUBLIC? TRUE :DOCUMENTATION \"Returns `true' if `attribute' is a global XML attribute with the name `name'\nin namespace `namespace'.  Note that `namespace' is the full URI, not an abbreviation.\nAlso, `namespace' may be `null', in which case `tag' must not have a namespace\nassociated with it.  This method ignores `element-name' and `element-namespace'.\")", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlGlobalAttribute", "xmlAttributeMatchP", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String")}), ((java.lang.reflect.Method)(null)));
          Stella.defineMethodObject("(DEFMETHOD (XML-ATTRIBUTE-MATCH? BOOLEAN) ((ATTRIBUTE XML-LOCAL-ATTRIBUTE) (NAME STRING) (NAMESPACE STRING) (ELEMENT-NAME STRING) (ELEMENT-NAMESPACE STRING)) :PUBLIC? TRUE :DOCUMENTATION \"Returns `true' if `attribute' is a local XML attribute with the name `name'\ninside an XML element matching `element-name' in namespace `element-namespace' (see\nthe method `xml-element-match?'.  Note that `element-namespace' is the full URI, not\nan abbreviation. `element-namespace' may be `null', in which case the XML element\nmust not have a namespace associated with it. This method ignores `namespace'\")", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlLocalAttribute", "xmlAttributeMatchP", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String")}), ((java.lang.reflect.Method)(null)));
          Stella.defineFunctionObject("XML-GLOBAL-ATTRIBUTE-MATCH?", "(DEFUN (XML-GLOBAL-ATTRIBUTE-MATCH? BOOLEAN) ((ATTRIBUTE XML-GLOBAL-ATTRIBUTE) (NAME STRING) (NAMESPACE STRING)))", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlGlobalAttribute", "xmlGlobalAttributeMatchP", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.XmlGlobalAttribute"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String")}), null);
          Stella.defineFunctionObject("XML-LOCAL-ATTRIBUTE-MATCH?", "(DEFUN (XML-LOCAL-ATTRIBUTE-MATCH? BOOLEAN) ((ATTRIBUTE XML-LOCAL-ATTRIBUTE) (NAME STRING) (ELEMENT-NAME STRING) (ELEMENT-NAMESPACE STRING)))", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.XmlLocalAttribute", "xmlLocalAttributeMatchP", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.XmlLocalAttribute"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String"), edu.isi.stella.javalib.Native.find_java_class("java.lang.String")}), null);
          Stella.defineFunctionObject("EXPAND-XML-TAG-CASE", "(DEFUN (EXPAND-XML-TAG-CASE CONS) ((ITEM SYMBOL) (CLAUSES (CONS OF CONS))))", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Symbol", "expandXmlTagCase", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Symbol"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Cons")}), null);
          Stella.defineFunctionObject("XML-TAG-CASE", "(DEFUN XML-TAG-CASE ((ITEM OBJECT) |&BODY| (CLAUSES CONS)) :TYPE OBJECT :MACRO? TRUE :PUBLIC? TRUE :DOCUMENTATION \"A case form for matching `item' against XML element tags.  Each\nelement of `clauses' should be a clause with the form\n  (\\\"tagname\\\" ...)     or\n  ((\\\"tagname\\\" \\\"namespace-uri\\\") ...)\nThe clause heads can optionally be symbols instead of strings.  The key forms the\nparameters to the method `xml-element-match?', with a missing namespace argument\npassed as NULL.\")", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.Stella_Object", "xmlTagCase", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Stella_Object"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Cons")}), null);
          Stella.defineFunctionObject("PRINT-XML-NON-ELEMENT-ATTRIBUTES", "(DEFUN PRINT-XML-NON-ELEMENT-ATTRIBUTES ((STREAM OUTPUT-STREAM) (ATTRIBUTES CONS)))", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.OutputStream", "printXmlNonElementAttributes", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.OutputStream"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Cons")}), null);
          Stella.defineFunctionObject("PRINT-XML-ELEMENT-ATTRIBUTES", "(DEFUN PRINT-XML-ELEMENT-ATTRIBUTES ((STREAM OUTPUT-STREAM) (ATTRIBUTES CONS)))", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.OutputStream", "printXmlElementAttributes", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.OutputStream"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Cons")}), null);
          Stella.defineFunctionObject("PRINT-XML-EXPRESSION", "(DEFUN PRINT-XML-EXPRESSION ((STREAM OUTPUT-STREAM) (XML-EXPRESSION CONS)) :DOCUMENTATION \"Prints `xml-expression' on `stream'.  It is assumed that\n the `xml-expression' is a well-formed CONS-list representation of an XML\n form.  It expects a form like that form returned by `read-XML-expression'.\n\n Also handles a list of xml forms such as that returned by `XML-expressions'\" :PUBLIC? TRUE)", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.OutputStream", "printXmlExpression", new java.lang.Class [] {edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.OutputStream"), edu.isi.stella.javalib.Native.find_java_class("edu.isi.stella.Cons")}), null);
          Stella.defineFunctionObject("STARTUP-XML", "(DEFUN STARTUP-XML () :PUBLIC? TRUE)", edu.isi.stella.javalib.Native.find_java_method("edu.isi.stella.StartupXml", "startupXml", new java.lang.Class [] {}), null);
          { MethodSlot function = Symbol.lookupFunction(Stella.SYM_STELLA_STARTUP_XML);

            KeyValueList.setDynamicSlotValue(function.dynamicSlots, Stella.SYM_STELLA_METHOD_STARTUP_CLASSNAME, Stella.wrapString("Startup-Xml"), Stella.NULL_STRING_WRAPPER);
          }
        }
        if (Stella.currentStartupTimePhaseP(8)) {
          Stella.finalizeSlots();
          Stella.cleanupUnfinalizedClasses();
        }
        if (Stella.currentStartupTimePhaseP(9)) {
          Stella.defineStellaGlobalVariableFromStringifiedSource("(DEFCONSTANT *XML-URN* STRING \"http://www.w3.org/XML/1998/namespaces\")");
          Stella.defineStellaGlobalVariableFromStringifiedSource("(DEFCONSTANT *HTML-V4-0-URN* STRING \"http://www.w3.org/TR/REC-html40\")");
          Stella.defineStellaGlobalVariableFromStringifiedSource("(DEFGLOBAL *XML-ELEMENT-NULL-NAMESPACE-TABLE* (STRING-HASH-TABLE OF STRING XML-ELEMENT) (NEW (STRING-HASH-TABLE OF STRING XML-ELEMENT)) :DOCUMENTATION \"Hash Table for interning XML elements that don't appear in any namespace.\")");
          Stella.defineStellaGlobalVariableFromStringifiedSource("(DEFGLOBAL *XML-ELEMENT-HASH-TABLE* (STRING-HASH-TABLE OF STRING (STRING-HASH-TABLE OF STRING XML-ELEMENT)) (NEW (STRING-HASH-TABLE OF STRING (STRING-HASH-TABLE OF STRING XML-ELEMENT))) :DOCUMENTATION \"Hash Table mapping URI's (for namespaces) to a Hash Table\nfor interning XML elements.\")");
          Stella.defineStellaGlobalVariableFromStringifiedSource("(DEFGLOBAL *XML-GLOBAL-ATTRIBUTE-HASH-TABLE* (STRING-HASH-TABLE OF STRING (STRING-HASH-TABLE OF STRING XML-ATTRIBUTE)) (NEW (STRING-HASH-TABLE OF STRING (STRING-HASH-TABLE OF STRING XML-ATTRIBUTE))) :DOCUMENTATION \"Hash Table mapping URI's (for namespaces) to a Hash Table\nfor interning XML global attributes.\")");
          Stella.defineStellaGlobalVariableFromStringifiedSource("(DEFGLOBAL *XML-TOKENIZER-TABLE-DEFINITION* CONS (BQUOTE ((:START :INCLUDE :SKIP-WHITESPACE) (:SKIP-WHITESPACE ! (#\\  #\\Tab #\\Linefeed #\\Return) :SKIP-WHITESPACE ! \"<\" :OPEN-TAG :EOF :EOF * :OTHERWISE :CONTENT) (:CONTENT ! \"<\" :OPEN-TAG :EOF :EOF :OTHERWISE :CONTENT) (:OPEN-TAG * \">\" :START-TAG-END ! \"/\" :OPEN-END-TAG \"?\" :OPEN-PI-TAG \"!\" :OPEN-DECLARATION-TAG (#\\  #\\Tab #\\Linefeed #\\Return) :OPEN-TAG * :OTHERWISE :START-TAG) (:START-TAG * \">\" :START-TAG-END ! \"/\" :OPEN-EMPTY-TAG-END ! (#\\  #\\Tab #\\Linefeed #\\Return) :SKIP-TO-ATTRIBUTE-NAME :OTHERWISE :START-TAG) (:OPEN-PI-TAG * :ANY :START-PI-TAG) (:START-PI-TAG ! \"?\" :OPEN-PI-TAG-END * (#\\  #\\Tab #\\Linefeed #\\Return) :PI-TAG-DATA :OTHERWISE :START-PI-TAG) (:PI-TAG-DATA \"?\" (:PI-TAG-DATA-OR-END :PI-TAG-DATA) :OTHERWISE :PI-TAG-DATA) (:PI-TAG-DATA-OR-END * \">\" :EMPTY-TAG-END :OTHERWISE :PI-TAG-DATA) (:OPEN-PI-TAG-END * \">\" :EMPTY-TAG-END :OTHERWISE :ERROR) (:OPEN-END-TAG ! \">\" :END-TAG-END * :OTHERWISE :END-TAG) (:END-TAG ! \">\" :END-TAG-END :OTHERWISE :END-TAG) (:SKIP-TO-ATTRIBUTE-NAME * \">\" :START-TAG-END ! \"/\" :OPEN-EMPTY-TAG-END ! (#\\  #\\Tab #\\Linefeed #\\Return) :SKIP-TO-ATTRIBUTE-NAME * :OTHERWISE :ATTRIBUTE-NAME) (:ATTRIBUTE-NAME * \">\" :START-TAG-END ! \"/\" :OPEN-EMPTY-TAG-END ! (#\\= #\\  #\\Tab #\\Linefeed #\\Return) :SKIP-TO-ATTRIBUTE-VALUE :OTHERWISE :ATTRIBUTE-NAME) (:SKIP-TO-ATTRIBUTE-VALUE * \">\" :START-TAG-END ! \"/\" :OPEN-EMPTY-TAG-END (#\\= #\\  #\\Tab #\\Linefeed #\\Return) :SKIP-TO-ATTRIBUTE-VALUE * \"'\" :SINGLE-QUOTED-ATTRIBUTE-VALUE * \"\\\"\" :DOUBLE-QUOTED-ATTRIBUTE-VALUE * :OTHERWISE :UNQUOTED-ATTRIBUTE-VALUE) (:SINGLE-QUOTED-ATTRIBUTE-VALUE \"'\" :QUOTED-ATTRIBUTE-VALUE :OTHERWISE :SINGLE-QUOTED-ATTRIBUTE-VALUE) (:DOUBLE-QUOTED-ATTRIBUTE-VALUE \"\\\"\" :QUOTED-ATTRIBUTE-VALUE :OTHERWISE :DOUBLE-QUOTED-ATTRIBUTE-VALUE) (:QUOTED-ATTRIBUTE-VALUE :INCLUDE :SKIP-TO-ATTRIBUTE-NAME) (:UNQUOTED-ATTRIBUTE-VALUE * \">\" :START-TAG-END ! \"/\" :OPEN-EMPTY-TAG-END ! (#\\  #\\Tab #\\Linefeed #\\Return) :SKIP-TO-ATTRIBUTE-NAME :OTHERWISE :UNQUOTED-ATTRIBUTE-VALUE) (:OPEN-DECLARATION-TAG \"-\" :START-TAG-OR-COMMENT \"[\" :OPEN-SPECIAL-TAG * :OTHERWISE :START-DECLARATION-TAG) (:START-DECLARATION-TAG * \">\" :EMPTY-TAG-END * (#\\  #\\Tab #\\Linefeed #\\Return) :DECLARATION-TAG-DATA :OTHERWISE :START-DECLARATION-TAG) (:DECLARATION-TAG-DATA * \">\" :EMPTY-TAG-END * \"[\" :DECLARATION-TAG-MARKUP-DATA-START \"'\" :SINGLE-QUOTED-DECLARATION-TAG-DATA \"\\\"\" :DOUBLE-QUOTED-DECLARATION-TAG-DATA :OTHERWISE :DECLARATION-TAG-DATA) (:SINGLE-QUOTED-DECLARATION-TAG-DATA \"'\" :DECLARATION-TAG-DATA :OTHERWISE :SINGLE-QUOTED-DECLARATION-TAG-DATA) (:DOUBLE-QUOTED-DECLARATION-TAG-DATA \"\\\"\" :DECLARATION-TAG-DATA :OTHERWISE :DOUBLE-QUOTED-DECLARATION-TAG-DATA) (:DECLARATION-TAG-MARKUP-DATA-START \"]\" :DECLARATION-TAG-MARKUP-DATA :OTHERWISE :DECLARATION-TAG-MARKUP-DATA-START) (:DECLARATION-TAG-MARKUP-DATA * \">\" :EMPTY-TAG-END :OTHERWISE :ERROR) (:OPEN-SPECIAL-TAG * :ANY :START-SPECIAL-TAG) (:START-SPECIAL-TAG * \"[\" :SPECIAL-TAG-DATA :OTHERWISE :START-SPECIAL-TAG) (:SPECIAL-TAG-DATA \"]\" :SPECIAL-TAG-DATA-OR-END :OTHERWISE :SPECIAL-TAG-DATA) (:SPECIAL-TAG-DATA-OR-END \"]\" (:SPECIAL-TAG-DATA-OR-END2 :SPECIAL-TAG-DATA) :OTHERWISE :SPECIAL-TAG-DATA) (:SPECIAL-TAG-DATA-OR-END2 * \">\" :EMPTY-TAG-END :OTHERWISE :SPECIAL-TAG-DATA) (:START-TAG-OR-COMMENT \"-\" :COMMENT-BODY * :OTHERWISE :START-TAG) (:COMMENT-BODY \"-\" :END-COMMENT-OR-COMMENT :OTHERWISE :COMMENT-BODY) (:END-COMMENT-OR-COMMENT \"-\" :END-COMMENT-OR-COMMENT2 :OTHERWISE :COMMENT-BODY) (:END-COMMENT-OR-COMMENT2 \">\" :COMMENT :OTHERWISE :ERROR) (:COMMENT :INCLUDE :START) (:START-TAG-END :INCLUDE :START) (:END-TAG-END :INCLUDE :START) (:OPEN-EMPTY-TAG-END * \">\" :EMPTY-TAG-END :OTHERWISE :ERROR) (:EMPTY-TAG-END :INCLUDE :START) (:ERROR :INCLUDE :START))))");
          Stella.defineStellaGlobalVariableFromStringifiedSource("(DEFGLOBAL *XML-TOKENIZER-TABLE* TOKENIZER-TABLE NULL)");
          Stella.$XML_TOKENIZER_TABLE$ = Cons.parseTokenizerDefinition(Stella.$XML_TOKENIZER_TABLE_DEFINITION$);
        }

      } finally {
        Stella.$CONTEXT$.set(old$Context$000);
        Stella.$MODULE$.set(old$Module$000);
      }
    }
  }

}
